# Copyright (c) 2016 Anki, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License in the file LICENSE.txt or at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""
Autogenerated python message buffer code.
Source: clad/types/animationTrigger.clad
Full command line: ../tools/message-buffers/emitters/Python_emitter.py -C ./src/ -I ../robot/clad/src/ ../coretech/vision/clad/src/ ../coretech/common/clad/src/ -o ../generated/cladPython// clad/types/animationTrigger.clad
"""

from __future__ import absolute_import
from __future__ import print_function

def _modify_path():
  import inspect, os, sys
  search_paths = [
    '../..',
    '../../../../tools/message-buffers/support/python',
  ]
  currentpath = os.path.abspath(os.path.dirname(inspect.getfile(inspect.currentframe())))
  for search_path in search_paths:
    search_path = os.path.normpath(os.path.abspath(os.path.realpath(os.path.join(currentpath, search_path))))
    if search_path not in sys.path:
      sys.path.insert(0, search_path)
_modify_path()

import msgbuffers

Anki = msgbuffers.Namespace()
Anki.Cozmo = msgbuffers.Namespace()

class AnimationTrigger(object):
  "Automatically-generated int_32 enumeration."
  AcknowledgeFaceInitPause              = 0
  AcknowledgeFaceNamed                  = 1
  AcknowledgeFaceUnnamed                = 2
  AcknowledgeObject                     = 3
  AskToBeRightedLeft                    = 4
  AskToBeRightedRight                   = 5
  BlockReact                            = 6
  BuildPyramidFirstBlockOnSide          = 7
  BuildPyramidFirstBlockUpright         = 8
  BuildPyramidLookForFace               = 9
  BuildPyramidReactToBase               = 10
  BuildPyramidSecondBlockOnSide         = 11
  BuildPyramidSecondBlockUpright        = 12
  BuildPyramidSuccess                   = 13
  BuildPyramidThankUser                 = 14
  BuildPyramidThirdBlockOnSide          = 15
  BuildPyramidThirdBlockUpright         = 16
  CantHandleTallStack                   = 17
  PatternGuessNewIdea                   = 18
  PatternGuessThinking                  = 19
  ConnectWakeUp                         = 20
  CozmoSaysGetIn                        = 21
  CozmoSaysGetOut                       = 22
  CozmoSaysSpeakGetInShort              = 23
  CozmoSaysSpeakGetInMedium             = 24
  CozmoSaysSpeakGetInLong               = 25
  CozmoSaysSpeakGetOutShort             = 26
  CozmoSaysSpeakGetOutMedium            = 27
  CozmoSaysSpeakGetOutLong              = 28
  CozmoSaysSpeakLoop                    = 29
  CozmoSaysBadWord                      = 30
  CozmoSaysIdle                         = 31
  CubeMovedSense                        = 32
  CubeMovedUpset                        = 33
  CubePounceFake                        = 34
  CubePounceGetIn                       = 35
  CubePounceGetOut                      = 36
  CubePounceGetReady                    = 37
  CubePounceGetUnready                  = 38
  CubePounceIdleLiftDown                = 39
  CubePounceIdleLiftUp                  = 40
  CubePounceLoseHand                    = 41
  CubePounceLoseRound                   = 42
  CubePounceLoseSession                 = 43
  CubePouncePounceClose                 = 44
  CubePouncePounceNormal                = 45
  CubePounceWinHand                     = 46
  CubePounceWinRound                    = 47
  CubePounceWinSession                  = 48
  DemoSpeedTapCozmoWin                  = 49
  DemoSpeedTapCozmoLose                 = 50
  DriveEndAngry                         = 51
  DriveEndDefault                       = 52
  DriveEndLaunch                        = 53
  DriveLoopAngry                        = 54
  DriveLoopDefault                      = 55
  DriveLoopLaunch                       = 56
  DriveStartAngry                       = 57
  DriveStartDefault                     = 58
  DriveStartLaunch                      = 59
  DroneModeBackwardDrivingEnd           = 60
  DroneModeBackwardDrivingLoop          = 61
  DroneModeBackwardDrivingStart         = 62
  DroneModeCliffEvent                   = 63
  DroneModeForwardDrivingEnd            = 64
  DroneModeForwardDrivingLoop           = 65
  DroneModeForwardDrivingStart          = 66
  DroneModeGetIn                        = 67
  DroneModeGetOut                       = 68
  DroneModeIdle                         = 69
  DroneModeKeepAlive                    = 70
  DroneModeTurboDrivingStart            = 71
  FacePlantRoll                         = 72
  FacePlantRollArmUp                    = 73
  FailedToRightFromFace                 = 74
  FistBumpIdle                          = 75
  FistBumpRequestOnce                   = 76
  FistBumpRequestRetry                  = 77
  FistBumpSuccess                       = 78
  FistBumpLeftHanging                   = 79
  FlipDownFromBack                      = 80
  FrustratedByFailure                   = 81
  FrustratedByFailureMajor              = 82
  GameSetupGetIn                        = 83
  GameSetupGetOut                       = 84
  GameSetupIdle                         = 85
  GameSetupReaction                     = 86
  GoToSleepGetIn                        = 87
  GoToSleepGetOut                       = 88
  GoToSleepOff                          = 89
  GoToSleepSleeping                     = 90
  HikingDrivingEnd                      = 91
  HikingDrivingLoop                     = 92
  HikingDrivingStart                    = 93
  HikingInterestingEdgeThought          = 94
  HikingIntro                           = 95
  HikingLookAround                      = 96
  HikingObserve                         = 97
  HikingReactToEdge                     = 98
  HikingReactToNewArea                  = 99
  HikingReactToPossibleMarker           = 100
  HikingSquintEnd                       = 101
  HikingSquintLoop                      = 102
  HikingSquintStart                     = 103
  HikingWakeUpOffCharger                = 104
  IdleOnCharger                         = 105
  InteractWithFaceTrackingIdle          = 106
  InteractWithFacesInitialNamed         = 107
  InteractWithFacesInitialUnnamed       = 108
  KnockOverEyes                         = 109
  KnockOverFailure                      = 110
  KnockOverGrabAttempt                  = 111
  KnockOverPreActionNamedFace           = 112
  KnockOverPreActionUnnamedFace         = 113
  KnockOverSuccess                      = 114
  LookInPlaceForFacesBodyPause          = 115
  LookInPlaceForFacesHeadMovePause      = 116
  MajorFail                             = 117
  MajorWin                              = 118
  MeetCozmoGetIn                        = 119
  MeetCozmoLookFaceGetIn                = 120
  MeetCozmoLookFaceGetOut               = 121
  MeetCozmoScanningIdle                 = 122
  MeetCozmoFirstEnrollmentSayName       = 123
  MeetCozmoFirstEnrollmentRepeatName    = 124
  MeetCozmoFirstEnrollmentCelebration   = 125
  MeetCozmoReEnrollmentSayName          = 126
  MeetCozmoRenameFaceSayName            = 127
  MeetCozmoLookFaceInterrupt            = 128
  MemoryMatchPlayerWinHand              = 129
  MemoryMatchPlayerWinHandLong          = 130
  MemoryMatchPlayerWinHandSolo          = 131
  MemoryMatchPlayerLoseHand             = 132
  MemoryMatchPlayerLoseHandSolo         = 133
  MemoryMatchCozmoWinHand               = 134
  MemoryMatchCozmoLoseHand              = 135
  MemoryMatchCozmoWinGame               = 136
  MemoryMatchPlayerWinGame              = 137
  MemoryMatchSoloGameOver               = 138
  MemoryMatchReactToPattern             = 139
  MemoryMatchReactToPatternSolo         = 140
  MemoryMatchPointCenter                = 141
  MemoryMatchPointLeftBig               = 142
  MemoryMatchPointLeftSmall             = 143
  MemoryMatchPointRightBig              = 144
  MemoryMatchPointRightSmall            = 145
  MemoryMatchPointCenterFast            = 146
  MemoryMatchPointLeftBigFast           = 147
  MemoryMatchPointLeftSmallFast         = 148
  MemoryMatchPointRightBigFast          = 149
  MemoryMatchPointRightSmallFast        = 150
  MemoryMatchCozmoGetOut                = 151
  MemoryMatchCozmoFollowTapsSoundOnly   = 152
  NamedFaceInitialGreeting              = 153
  NeutralFace                           = 154
  NothingToDoBoredEvent                 = 155
  NothingToDoBoredIdle                  = 156
  NothingToDoBoredIntro                 = 157
  NothingToDoBoredOutro                 = 158
  OnLearnedPlayerName                   = 159
  OnSawNewNamedFace                     = 160
  OnSawNewUnnamedFace                   = 161
  OnSawOldNamedFace                     = 162
  OnSawOldUnnamedFace                   = 163
  OnSpeedtapCozmoConfirm                = 164
  OnSpeedtapFakeout                     = 165
  OnSpeedtapGameCozmoWinHighIntensity   = 166
  OnSpeedtapGameCozmoWinLowIntensity    = 167
  OnSpeedtapGamePlayerWinHighIntensity  = 168
  OnSpeedtapGamePlayerWinLowIntensity   = 169
  OnSpeedtapGetOut                      = 170
  OnSpeedtapHandCozmoWin                = 171
  OnSpeedtapHandPlayerWin               = 172
  OnSpeedtapIdle                        = 173
  OnSpeedtapRoundCozmoWinHighIntensity  = 174
  OnSpeedtapRoundCozmoWinLowIntensity   = 175
  OnSpeedtapRoundPlayerWinHighIntensity = 176
  OnSpeedtapRoundPlayerWinLowIntensity  = 177
  OnSpeedtapTap                         = 178
  OnWaitForCubesMinigameSetup           = 179
  OnWiggle                              = 180
  OnboardingBirth                       = 181
  OnboardingCubeDockFail                = 182
  OnboardingDiscoverCube                = 183
  OnboardingDriveEnd                    = 184
  OnboardingDriveLoop                   = 185
  OnboardingDriveStart                  = 186
  OnboardingEyesOn                      = 187
  OnboardingHelloPlayer                 = 188
  OnboardingHelloWorld                  = 189
  OnboardingIdle                        = 190
  OnboardingInteractWithCube            = 191
  OnboardingPreBirth                    = 192
  OnboardingReactToCube                 = 193
  OnboardingReactToCubePutDown          = 194
  OnboardingReactToFace                 = 195
  OnboardingSoundOnlyLiftEffortPickup   = 196
  OnboardingSoundOnlyLiftEffortPlaceLow = 197
  OnboardingGetOut                      = 198
  PetDetectionCat                       = 199
  PetDetectionDog                       = 200
  PetDetectionShort                     = 201
  PetDetectionShort_Cat                 = 202
  PetDetectionShort_Dog                 = 203
  PetDetectionSneeze                    = 204
  PlacedOnCharger                       = 205
  PopAWheelieInitial                    = 206
  PopAWheeliePreActionNamedFace         = 207
  PopAWheeliePreActionUnnamedFace       = 208
  PopAWheelieRealign                    = 209
  PopAWheelieRetry                      = 210
  PounceDriveEnd                        = 211
  PounceDriveLoop                       = 212
  PounceDriveStart                      = 213
  PounceFace                            = 214
  PounceFail                            = 215
  PounceGetOut                          = 216
  PounceInitial                         = 217
  PouncePounce                          = 218
  PounceSuccess                         = 219
  ProceduralLive                        = 220
  PutDownBlockKeepAlive                 = 221
  PutDownBlockPutDown                   = 222
  ReactToBlockPickupSuccess             = 223
  ReactToBlockRetryPickup               = 224
  ReactToCliff                          = 225
  ReactToCliffDetectorStop              = 226
  ReactToMotorCalibration               = 227
  ReactToNewBlockAsk                    = 228
  ReactToNewBlockBig                    = 229
  ReactToNewBlockSmall                  = 230
  ReactToOnLeftSide                     = 231
  ReactToOnRightSide                    = 232
  ReactToPerchedOnBlock                 = 233
  ReactToPickup                         = 234
  ReactToPokeReaction                   = 235
  ReactToPokeStartled                   = 236
  ReactToUnexpectedMovement             = 237
  RequestGameDrivingFail                = 238
  RequestGameKeepAwayAccept0            = 239
  RequestGameKeepAwayAccept1            = 240
  RequestGameKeepAwayDeny0              = 241
  RequestGameKeepAwayDeny1              = 242
  RequestGameKeepAwayIdle0              = 243
  RequestGameKeepAwayIdle1              = 244
  RequestGameKeepAwayInitial0           = 245
  RequestGameKeepAwayInitial1           = 246
  RequestGameKeepAwayPreDrive0          = 247
  RequestGameKeepAwayPreDrive1          = 248
  RequestGameKeepAwayRequest0           = 249
  RequestGameKeepAwayRequest1           = 250
  RequestGameMemoryMatchAccept0         = 251
  RequestGameMemoryMatchAccept1         = 252
  RequestGameMemoryMatchDeny0           = 253
  RequestGameMemoryMatchDeny1           = 254
  RequestGameMemoryMatchIdle0           = 255
  RequestGameMemoryMatchIdle1           = 256
  RequestGameMemoryMatchInitial0        = 257
  RequestGameMemoryMatchInitial1        = 258
  RequestGameMemoryMatchPreDrive0       = 259
  RequestGameMemoryMatchPreDrive1       = 260
  RequestGameMemoryMatchRequest0        = 261
  RequestGameMemoryMatchRequest1        = 262
  RequestGamePickupFail                 = 263
  RequestGameSpeedTapAccept0            = 264
  RequestGameSpeedTapAccept1            = 265
  RequestGameSpeedTapDeny0              = 266
  RequestGameSpeedTapDeny1              = 267
  RequestGameSpeedTapIdle0              = 268
  RequestGameSpeedTapIdle1              = 269
  RequestGameSpeedTapInitial0           = 270
  RequestGameSpeedTapInitial1           = 271
  RequestGameSpeedTapPreDrive0          = 272
  RequestGameSpeedTapPreDrive1          = 273
  RequestGameSpeedTapRequest0           = 274
  RequestGameSpeedTapRequest1           = 275
  RollBlockInitial                      = 276
  RollBlockPreActionNamedFace           = 277
  RollBlockPreActionUnnamedFace         = 278
  RollBlockPutDown                      = 279
  RollBlockRealign                      = 280
  RollBlockRetry                        = 281
  RollBlockSuccess                      = 282
  SdkTextToSpeech                       = 283
  Shiver                                = 284
  Shocked                               = 285
  Sleeping                              = 286
  SoftSparkUpgradeLift                  = 287
  SoftSparkUpgradeTracks                = 288
  SoundOnlyLiftEffortPickup             = 289
  SoundOnlyLiftEffortPlaceHigh          = 290
  SoundOnlyLiftEffortPlaceLow           = 291
  SoundOnlyLiftEffortPlaceRoll          = 292
  SoundOnlyRamIntoBlock                 = 293
  SoundOnlyTurnSmall                    = 294
  SparkDrivingLoop                      = 295
  SparkDrivingStart                     = 296
  SparkDrivingStop                      = 297
  SparkFailure                          = 298
  SparkGetIn                            = 299
  SparkGetOut                           = 300
  SparkIdle                             = 301
  SparkPickupFinalCubeReaction          = 302
  SparkPickupInitialCubeReaction        = 303
  SparkSuccess                          = 304
  SpeedTapDrivingEnd                    = 305
  SpeedTapDrivingLoop                   = 306
  SpeedTapDrivingStart                  = 307
  StackBlocksPreActionNamedFace         = 308
  StackBlocksPreActionUnnamedFace       = 309
  StackBlocksRetry                      = 310
  StackBlocksSuccess                    = 311
  StartSleeping                         = 312
  SuccessfulWheelie                     = 313
  Surprise                              = 314
  TurtleRoll                            = 315
  UnitTestAnim                          = 316
  WaitOnSideLoop                        = 317
  WorkoutPickupRealign                  = 318
  WorkoutPickupRetry                    = 319
  WorkoutPostLift_highEnergy            = 320
  WorkoutPostLift_lowEnergy             = 321
  WorkoutPostLift_mediumEnergy          = 322
  WorkoutPreLift_highEnergy             = 323
  WorkoutPreLift_lowEnergy              = 324
  WorkoutPreLift_mediumEnergy           = 325
  WorkoutPutDown_highEnergy             = 326
  WorkoutPutDown_lowEnergy              = 327
  WorkoutPutDown_lowEnergy_simple       = 328
  WorkoutPutDown_mediumEnergy           = 329
  WorkoutStrongLift_highEnergy          = 330
  WorkoutStrongLift_lowEnergy           = 331
  WorkoutStrongLift_mediumEnergy        = 332
  WorkoutTransition_highEnergy          = 333
  WorkoutTransition_lowEnergy           = 334
  WorkoutTransition_mediumEnergy        = 335
  WorkoutWeakLift_highEnergy            = 336
  WorkoutWeakLift_lowEnergy             = 337
  WorkoutWeakLift_mediumEnergy          = 338
  Count                                 = 339

Anki.Cozmo.AnimationTrigger = AnimationTrigger
del AnimationTrigger


class CubeAnimationTrigger(object):
  "Automatically-generated int_32 enumeration."
  Carrying                = 0
  Connected               = 1
  CubePouncePlayerLose    = 2
  CubePouncePlayerWin     = 3
  DoubleTappedKnown       = 4
  DoubleTappedUnsure      = 5
  DrivingTo               = 6
  Flash                   = 7
  Interacting             = 8
  Onboarding              = 9
  PyramidBaseBottom       = 10
  PyramidFlourish         = 11
  PyramidOnSideLocated    = 12
  PyramidOnSideNotLocated = 13
  PyramidPickup           = 14
  PyramidSingle           = 15
  Sleep                   = 16
  SleepNoFade             = 17
  SpeedTapWin             = 18
  SpeedTapLose            = 19
  Visible                 = 20
  WakeUp                  = 21
  Workout                 = 22
  Count                   = 23

Anki.Cozmo.CubeAnimationTrigger = CubeAnimationTrigger
del CubeAnimationTrigger


